package com.gic.haoban.manage.api.enums.chat;

import java.util.Objects;

/**
 * Created by wangzubo on 2023/3/13.
 */
public enum ChatActivityInviteRewardEnum {

    /**
     * 奖励类型 1定额奖励2阶梯奖励
     */
    FIXED_REWARD(1, "定额奖励"),
    LADDER_REWARD(2, "阶梯奖励"),
    ;

    public final Integer value;
    public final String desc;

    ChatActivityInviteRewardEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static String getDescByValue(Integer value) {
        for (ChatActivityInviteRewardEnum inviteRewardEnum : ChatActivityInviteRewardEnum.values()) {
            if (Objects.equals(value, inviteRewardEnum.value)) {
                return inviteRewardEnum.desc;
            }
        }
        return null;
    }


}
